class Task{

  final double rewardAmount;
  final List<Subtask> subtasks;

  const Task({
    required this.rewardAmount,
    this.subtasks = const []
  });
}

class Subtask{

  final String name;
  final bool completed;

  const Subtask({
    required this.name,
    required this.completed
  });
}